# Uses of Class
org.springframework.http.client.reactive.ReactorNetty2ResourceFactory

Packages that use ReactorNetty2ResourceFactory
Package
Description
org.springframework.http.client.reactive
Abstractions for reactive HTTP client support including `ClientHttpRequest` and `ClientHttpResponse` as well as a `ClientHttpConnector`.

## Uses of ReactorNetty2ResourceFactory in org.springframework.http.client.reactive

Constructors in org.springframework.http.client.reactive with parameters of type ReactorNetty2ResourceFactory
Modifier
Constructor
Description
``
`ReactorNetty2ClientHttpConnector(ReactorNetty2ResourceFactory factory, Function<reactor.netty5.http.client.HttpClient,reactor.netty5.http.client.HttpClient> mapper)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor with externally managed Reactor Netty resources, including `LoopResources` for event loop threads, and `ConnectionProvider` for the connection pool.